Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.swt
Class SWTRendererFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.swt.SWTRendererFactoryImpl

All Implemented Interfaces:
  SWTRendererFactory

Deprecated.

    @Deprecated
    public class SWTRendererFactoryImpl

extends Object
implements SWTRendererFactory

Author:
  Eugen

Constructor Summary
`SWTRendererFactoryImpl()` Deprecated. Default constructor for the renderer factory.

Method Summary
`Collection<AbstractAdditionalSWTRenderer<VElement>>` | `getAdditionalRenderer(VElement vElement, ViewModelContext viewModelContext)` Deprecated. Returns a collection of all additional renderer which contribute controls for the provided `VElement`.
`AbstractSWTRenderer<VElement>` | `getRenderer(VElement vElement, ViewModelContext viewContext)` Deprecated. Searches for a fitting renderer for the passed `VElement`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWTRendererFactoryImpl

    public SWTRendererFactoryImpl()

  Deprecated.
  Default constructor for the renderer factory.

Method Detail

### getRenderer

    public AbstractSWTRenderer<VElement> getRenderer(VElement vElement,
                                                     ViewModelContext viewContext)

  Deprecated.
  Searches for a fitting renderer for the passed `VElement`.

  Specified by:
    `getRenderer` in interface `SWTRendererFactory`
  Parameters:
    `vElement` - the `VElement` to render
    `viewContext` - the `ViewModelContext` to use
  Returns:
    the list for `AbstractSWTRenderer` the fitting render or null
  See Also:
    `SWTRendererFactory.getRenderer(VElement, ViewModelContext)`

### getAdditionalRenderer

    public Collection<AbstractAdditionalSWTRenderer<VElement>> getAdditionalRenderer(VElement vElement,
                                                                                     ViewModelContext viewModelContext)

  Deprecated.
  Returns a collection of all additional renderer which contribute controls for the provided `VElement`.

  Specified by:
    `getAdditionalRenderer` in interface `SWTRendererFactory`
  Parameters:
    `vElement` - the `VElement` to get additional renderer for
    `viewModelContext` - the `ViewModelContext` to check
  Returns:
    the Collection of additional renderer
  See Also:
    `SWTRendererFactory.getAdditionalRenderer(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.